## com.sun.jersey.core.header
Class ContentDisposition.ContentDispositionBuilder<T extends ContentDisposition.ContentDispositionBuilder<T,V>,V extends ContentDisposition>

    java.lang.Object
      com.sun.jersey.core.header.ContentDisposition.ContentDispositionBuilder<T,V>

Type Parameters:
  `T` - the builder type.
  `V` - the content disposition type.

Direct Known Subclasses:
  FormDataContentDisposition.FormDataContentDispositionBuilder

Enclosing class:
  ContentDisposition

    public static class ContentDisposition.ContentDispositionBuilder<T extends ContentDisposition.ContentDispositionBuilder<T,V>,V extends ContentDisposition>

extends java.lang.Object

Builder to build content disposition.

Field Summary
`protected java.util.Date` | `creationDate`
`protected java.lang.String` | `fileName`
`protected java.util.Date` | `modificationDate`
`protected java.util.Date` | `readDate`
`protected long` | `size`
`protected java.lang.String` | `type`

Method Summary
`V` | `build()` Build the content disposition.
`T` | `creationDate(java.util.Date creationDate)` Add the "creation-date" parameter.
`T` | `fileName(java.lang.String fileName)` Add the "file-name" parameter.
`T` | `modificationDate(java.util.Date modificationDate)` Add the "modification-date" parameter.
`T` | `readDate(java.util.Date readDate)` Add the "read-date" parameter.
`T` | `size(long size)` Add the "size" parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected java.lang.String type

### fileName

    protected java.lang.String fileName

### creationDate

    protected java.util.Date creationDate

### modificationDate

    protected java.util.Date modificationDate

### readDate

    protected java.util.Date readDate

### size

    protected long size

Method Detail

### fileName

    public T fileName(java.lang.String fileName)

  Add the "file-name" parameter.

  Parameters:
    `fileName` - the "file-name" parameter. If null the value is removed
  Returns:
    this builder.

### creationDate

    public T creationDate(java.util.Date creationDate)

  Add the "creation-date" parameter.

  Parameters:
    `creationDate` - the "creation-date" parameter. If null the value is removed
  Returns:
    this builder.

### modificationDate

    public T modificationDate(java.util.Date modificationDate)

  Add the "modification-date" parameter.

  Parameters:
    `modificationDate` - the "modification-date" parameter. If null the value is removed
  Returns:
    this builder.

### readDate

    public T readDate(java.util.Date readDate)

  Add the "read-date" parameter.

  Parameters:
    `readDate` - the "read-date" parameter. If null the value is removed
  Returns:
    this builder.

### size

    public T size(long size)

  Add the "size" parameter.

  Parameters:
    `size` - the "size" parameter. If -1 the value is removed.
  Returns:
    this builder.

### build

    public V build()

  Build the content disposition.

  Returns:
    the content disposition.

Copyright © 2017 Oracle Corporation. All Rights Reserved.